Package de.gebit.integrity.parameter.conversion

## Class ConversionFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - de.gebit.integrity.parameter.conversion.ConversionException
        - - de.gebit.integrity.parameter.conversion.ConversionFailedException

- All Implemented Interfaces:
    `Serializable`

      public class ConversionFailedException
      extends ConversionException

  Thrown if a certain requested conversion did fail for whatever reason.
  Author:
    Rene Schneider - initial API and implementation
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConversionFailedException​(Class<?> aSourceType, Class<?> aTargetType, String aMessage)` | Instantiates a new conversion unsupported exception.
    `ConversionFailedException​(Class<?> aSourceType, Class<?> aTargetType, String aMessage, Throwable aCause)` | Instantiates a new conversion failed exception.

  - ### Method Summary

    - ### Methods inherited from class de.gebit.integrity.parameter.conversion.ConversionException

      `getMessage, getSourceType, getTargetType`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConversionFailedException

          public ConversionFailedException​(Class<?> aSourceType,
                                           Class<?> aTargetType,
                                           String aMessage,
                                           Throwable aCause)

      Instantiates a new conversion failed exception.
      Parameters:
        `aSourceType` - the a source type
        `aTargetType` - the a target type
        `aMessage` - the a message
        `aCause` - the a cause

    - #### ConversionFailedException

          public ConversionFailedException​(Class<?> aSourceType,
                                           Class<?> aTargetType,
                                           String aMessage)

      Instantiates a new conversion unsupported exception.
      Parameters:
        `aSourceType` - the a source type
        `aTargetType` - the a target type
        `aMessage` - the a message